
(refinement "Scotland and Scotch tutorial" (deliver whisky-tutorial)
	    (nodes
	     (1 (deliver Scotland and Scotch tutorial)))
	    (annotations
	     (comments = "")))

(refinement "How Whisky Is Made tutorial" (deliver whisky-tutorial)
	    (nodes
	     (1 (deliver How Whisky Is Made tutorial)))
	    (annotations
	     (comments = "")))

(refinement "Scotland and Scotch (matrix)" (deliver Scotland and Scotch tutorial)
  (nodes
    (1 (display Scotland and Scotch media))
    (2 (inform still 0.333 0.333 -0.333 0.333:kiln 0.333 0.333 0 0.333:scotland 0.333 0.333 0.334 0.333:distill 0.333 0.333 -0.333 -0:title 0.333 0.333 0 -0:regions 0.333 0.333 0.334 -0:process 0.333 0.333 -0.333 -0.334:live 0.333 0.333 0.334 -0.334))
    (3 (display screen2 title))
    (4 (display screen1 live))
    (5 (say "Welcome to the virtual Scotch Whisky tasting room. Before we begin please make sure you are playing the media stream - there is a play button above the bottom toolbar."))
    (6 (display screen2 scotland))
    (7 (say "Whisky - from the Gaelic word uisge beatha, the water of life - has been produced in Scotland since at least the 15th century. It is an iconic product of Scotland and is deeply rooted in Scottish culture."))
    (8 (display screen2 regions))
    (9 (say "One can think of Scotland as divided into a number of regions, each producing whisky with its own style and having its own devotees."))
    (10 (say "These regions are the Lowlands, Campeltown and Islay, the Highlands and Islands, and Speyside, which is considered a region separate from the rest of the Highlands due to the high concentration of distilleries there."))
    (11 (display screen2 distill))
    (12 (say "As you might suppose, distilleries are often to be found in scenic areas, and have interesting architectural features."))
    (13 (display screen2 kiln))
    (14 (display screen2 still))
    (15 (say "I hope this has whet your appetite to learn more about whisky."))
    (16 (display screen2 title))
    (17 (display screen1 title)))
  (orderings  (2 3) (2 4) (2 5) (5 6) (6 7) (7 8) (8 9) (9 10) (10 11) (11 12) (12 13) (12 14) (13 15) (14 15) (15 16) (15 17))
  (annotations
    (comments = "")))

(refinement "Live feed for Scotland and Scotch" (display Scotland and Scotch media)
    (nodes
     (1 (display rtsp://media.aiai.ed.ac.uk:554/vue.sdp)))
    (annotations
     (comments = "")))

(refinement "Matrix URL for Scotland and Scotch" (display Scotland and Scotch media)
    (nodes
     (1 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/Scotland-and-Scotch-matrix.jpg)))
    (annotations
     (comments = "")))


(refinement "Scotland and Scotch (URLs)" (deliver Scotland and Scotch tutorial)
  (nodes
    (1 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/00-Unlocking-The-Mystery.jpg))
    (2 (say "Welcome to the virtual Scotch Whisky tasting room. Before we begin please make sure you are playing the media stream - there is a play button above the bottom toolbar."))
    (3 (say "Whisky - from the Gaelic word uisge beatha, the water of life - has been produced in Scotland since at least the 15th century. It is an iconic product of Scotland and is deeply rooted in Scottish culture."))
    (4 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/01-Whisky-Map.jpg))
    (5 (say "One can think of Scotland as divided into a handful of regions, each producing whisky with its own style and having its own devotees."))
    (6 (say "These regions are the Lowlands, Campeltown and Islay, the Highlands and Islands, and Speyside, which is considered a region separate from the rest of the Highlands due to the high concentration of distilleries there."))
    (7 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/07-Strathisla-Distillery.jpg))
    (8 (say "As you might suppose, distilleries are often to be found in scenic areas, and have interesting architecural features."))
    (9 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/11-Floor-Kilning.jpg))
    (10 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/16-Copper-Pot-Still.jpg))
    (11 (say "I hope this has whet your appetite to learn more about whisky."))       
    (12 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/00-Unlocking-The-Mystery.jpg)))
  (orderings  (1 2) (2 3) (3 4) (4 5) (5 6) (6 7) (7 8) (8 9) (8 10) (8 11) (11 12))
  (annotations
    (comments = "")))

(refinement "Live feed for How Whisky Is Made" (display How Whisky Is Made media)
    (nodes
     (1 (display rtsp://media.aiai.ed.ac.uk:554/vue.sdp)))
    (annotations
     (comments = "")))

(refinement "Matrix URL for How Whisky Is Made" (display How Whisky Is Made media)
    (nodes
     (1 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/How-Whisky-Is-Made-matrix.jpg)))
    (annotations
     (comments = "")))



(refinement "How Whisky Is Made (matrix)" (deliver How Whisky Is Made tutorial)
  (nodes
    (1 (display How Whisky Is Made media))
    (2 (inform barley 0.333 0.333 -0.333 0.333:still 0.333 0.333 0 0.333:kiln 0.333 0.333 0.334 0.333:mash 0.333 0.333 -0.333 -0:title 0.333 0.333 0 -0:wash 0.333 0.333 0.334 -0:barrel 0.333 0.333 -0.333 -0.334:process 0.333 0.333 0 -0.334))
    (3 (display screen2 title))
    (4 (say "Welcome to the virtual Scotch Whisky tasting room. Before we begin describing the whisky-making process please make sure you are playing the media stream - there is a play button above the bottom toolbar."))
    (5 (display screen1 process))
    (6 (say "There are 7 stages to the whisky-making process: malting, kilning, milling, mashing, fermenting, distilling and maturing."))
    (7 (say "The single most important ingredient in whisky is barley."))
    (8 (display screen2 barley))
    (9 (say "In stage 1, malting, the barley is soaked in water to encourage germination producing enzymes that turn the starch into sugar. Grains of barley start to sprout becoming what is called green malts."))
    (10 (display screen2 kiln))
    (11 (say "In stage 2, kilning, the green malts are smoke-dried to halt germination. Peat is sometimes fired to produce the smoke and add extra flavour to the malt. Traditionally, the malts are spread thinly across the floor to dry."))
    (12 (say "In stage 3, milling, the malts are ground into grist."))
    (13 (display screen2 mash))
    (14 (say "In stage 4, mashing, the grist is mixed with hot water in a mash tun to extract sugars. This produces a hot sweet liquid called wort."))
    (15 (display screen2 wash))
    (16 (say "In stage 5, fermenting, the cooled wort is transferred to large washbacks and yeast is added, turning the wort into a weak alcohol called wash."))
    (17 (display screen2 still))
    (18 (say "For stage 6, distilling, the wash is transferred to a still where it is heated to around 80 degC. The vapour, called low wines, is collected and distilled a second time to produce a spirit of 70%-79%."))
    (19 (display screen2 barrel))
    (20 (say "In the final stage, the spirit is stored and matured in casks for a minimum of 3 years. The type of wood used to construct the cask and the even its previous contents contribute to the flavour of the whisky."))
    (21 (display screen1 title))
    (22 (display screen2 title)))
  (orderings  (2 3) (2 4) (4 5) (5 6) (6 7) (6 8) (7 9) (9 10) (9 11) (11 12) (12 13) (12 14) (14 15) (14 16) (16 17) (16 18) (18 19) (18 20) (20 21) (20 22))
  (annotations
    (comments = "")))


(refinement "How Whisky Is Made (URLs)" (deliver How Whisky Is Made tutorial)
  (nodes
    (1 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/00-Unlocking-The-Mystery.jpg))
    (2 (say "Welcome to the virtual Scotch Whisky tasting room. Before we begin describing the whisky-making process please make sure you are playing the media stream - there is a play button above the bottom toolbar."))
    (3 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/07-Whisky-Process.jpg))
    (4 (say "There are 7 stages to the whisky-making process: malting, kilning, milling, mashing, fermenting, distilling and maturing."))
    (5 (say "The single most important ingredient in whisky is barley."))
    (6 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/08-Barley.jpg))
    (7 (say "In stage 1, malting, the barley is soaked in water to encourage germination producing enzymes that turn the starch into sugar. Grains of barley start to sprout becoming what is called green malts."))
    (8 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/11-Floor-Kilning.jpg))
    (9 (say "In stage 2, kilning, the green malts are smoke-dried to halt germination. Peat is sometimes fired to produce the smoke and add extra flavour to the malt. Traditionally, the malts are spread thinly across the floor to dry."))
    (10 (say "In stage 3, milling, the malts are ground into grist."))
    (11 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/14-Mash-Tun.jpg))
    (12 (say "In stage 4, mashing, the grist is mixed with hot water in a mash tun to extract sugars. This produces a hot sweet liquid called wort."))
    (13 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/15-Wash-Backs.jpg))
    (14 (say "In stage 5, fermenting, the cooled wort is transferred to large washbacks and yeast is added, turning the wort into a weak alcohol called wash."))
    (15 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/16-Copper-Pot-Still.jpg))
    (16 (say "For stage 6, distilling, the wash is transferred to a still where it is heated to around 80 degC. The vapour, called low wines, is collected and distilled a second time to produce a spirit of 70%-79%."))
    (17 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/17-Whisky-Barrels.jpg))
    (18 (say "In the final stage, the spirit is stored and matured in casks for a minimum of 3 years. The type of wood used to construct the cask and the even its previous contents contribute to the flavour of the whisky."))
    (19 (display http://www.aiai.ed.ac.uk/project/i-room/resources/vwow/tutorial/img/00-Unlocking-The-Mystery.jpg)))
  (orderings  (1 2) (2 3) (3 4) (4 5) (5 6) (6 7) (7 8) (8 9) (9 10) (10 11) (11 12) (12 13) (13 14) (14 15) (15 16) (16 17) (17 18) (18 19))
  (annotations
    (comments = "")))


(refinement "Give tasting tutorial" (deliver whisky-tutorial)
     (variables ?avatar-type ?whisky-name)
     (nodes
      (1 (instruct ?avatar-type ?whisky-name)))
     (annotations (comments ="")))


(refinement "Structured tasting" (instruct ?avatar-type ?whisky-name)
     (variables ?avatar-type ?whisky-name)
     (nodes
      (1 (instruct ?avatar-type ?whisky-name introduction))
      (2 (instruct ?avatar-type ?whisky-name region))
      (3 (instruct ?avatar-type ?whisky-name colour))
      (4 (instruct ?avatar-type ?whisky-name nose))
      (5 (instruct ?avatar-type ?whisky-name palate))
      (6 (instruct ?avatar-type ?whisky-name body))
      (7 (instruct ?avatar-type ?whisky-name finish)))
      (orderings (1 2) (2 3) (2 4) (4 5) (4 6) (4 7))
     (annotations (comments = "")))

(refinement "Generate tasting notes" (instruct ?avatar-type ?whisky-name)
     (variables ?avatar-type ?whisky-name ?tasting-notes)
     (nodes
      (1 (generate-text ?avatar-type ?whisky-name ?tasting-notes))
      (2 (say ?tasting-notes)))
     (orderings (1 2))
     (annotations (comments = "")))


(refinement "auto-generate text" (instruct ?avatar-type ?whisky-type ?whisky-property)
	    (variables ?avatar-type ?whisky-type ?whisky-property ?utterance)
	    (nodes
	     (1 (generate-text ?avatar-type ?whisky-type ?whisky-property ?utterance))
	     (2 (say ?utterance)))
	    (orderings (1 2))
	    (annotations (comments = "")))